"use strict";
var raml_generator_1 = require("raml-generator");
var _gitignore_1 = require("./templates/.gitignore");
var _npmignore_1 = require("./templates/.npmignore");
var INSTALL_md_1 = require("./templates/INSTALL.md");
var package_json_1 = require("./templates/package.json");
var tsconfig_json_1 = require("./templates/tsconfig.json");
var README_md_1 = require("./templates/README.md");
var legacy_js_1 = require("./templates/src/legacy.js");
var index_ts_1 = require("./templates/src/index.ts");
var typings_json_1 = require("./templates/typings.json");
exports.client = raml_generator_1.generator({
    templates: {
        '.gitignore': _gitignore_1.default,
        '.npmignore': _npmignore_1.default,
        'INSTALL.md': INSTALL_md_1.default,
        'package.json': package_json_1.default,
        'tsconfig.json': tsconfig_json_1.default,
        'README.md': README_md_1.default,
        'src/legacy.js': legacy_js_1.default,
        'src/index.ts': index_ts_1.default,
        'typings.json': typings_json_1.default
    }
});
//# sourceMappingURL=index.js.map