export declare function hasSecurity(api: any, type: string): any;
export declare function getSecuritySchemes(api: any): any[];
export interface AllResource {
    methods: any[];
    relativeUri: string;
    uriParameters: any;
    description: string;
}
export declare function allResources(api: any): AllResource[];
export interface NestedResource {
    id: string;
    methodName: string;
    methods: NestedMethod[];
    relativeUri: string;
    uriParameters: any;
    children: {
        [path: string]: NestedResource;
    };
}
export interface NestedMethod {
    id: string;
    method: string;
    headers: any;
    queryParameters: {
        [name: string]: any;
    };
    responseSchemas: {
        [responseCode: string]: string;
    };
    body: any;
}
export declare function nestedResources(api: any): NestedResource;
